claw::tree< T > Class Template Reference

A tree structure with any number of children. More...

`#include <tree.hpp>`

## Public Types

typedef T | value_type
| The type of the value stored in the nodes.
typedef tree< T > | self_type
| The type of the current class.
typedef child_list::iterator | iterator
typedef child_list::const_iterator | const_iterator

## Public Member Functions

| tree (const T &that)
bool | operator== (const self_type &that) const
bool | is_leaf () const
self_type & | add_child (const T &v)
self_type & | add_child (const self_type &v)
iterator | find (const T &v)
const_iterator | find (const T &v) const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const

## Public Attributes

T | value
| The value in this node.

## Detailed Description

template<typename T>
class claw::tree< T >

A tree structure with any number of children.

Author
  Julien Jorge

Definition at line 42 of file tree.hpp.

## Member Typedef Documentation

## const_iterator

template<typename T>

typedef child_list::const_iterator claw::tree< T >::const_iterator

Definition at line 57 of file tree.hpp.

## iterator

template<typename T>

typedef child_list::iterator claw::tree< T >::iterator

Definition at line 56 of file tree.hpp.

## self_type

template<typename T>

typedef tree<T> claw::tree< T >::self_type

The type of the current class.

Definition at line 49 of file tree.hpp.

## value_type

template<typename T>

typedef T claw::tree< T >::value_type

The type of the value stored in the nodes.

Definition at line 46 of file tree.hpp.

## Member Data Documentation

## value

template<typename T>

T claw::tree< T >::value

The value in this node.

Definition at line 81 of file tree.hpp.

The documentation for this class was generated from the following file:

- tree.hpp